import { AfterViewInit, Component, OnInit } from "@angular/core";
import { app } from "@tauri-apps/api";
import { invoke } from "@tauri-apps/api/tauri";
import { register } from "@tauri-apps/api/globalShortcut";
import { listen } from '@tauri-apps/api/event';

@Component({
  selector: "app-root",
  templateUrl: "./app.component.html",
  styleUrls: ["./app.component.css"],
})
export class AppComponent implements OnInit {
  auto_hide: boolean = true;
  interactable: boolean = false;
  
  ngOnInit(): void {
    register('F6', () => {
      this.interactable = !this.interactable;
			invoke("set_interactable", {interactable: this.interactable}).then();
		}).then();

    invoke("set_auto_hide", {auto_hide: this.auto_hide}).then();

    listen('OverlayStateChange', (event) => {
      console.log(event, 'OverlayStateChange');
    }).then();
  }

  toggleAutoHide() {
    console.log("toggle auto hide!!");
    invoke("set_auto_hide", {autoHide: this.auto_hide}).then();
  }

}
